Create fee plan agreement | Moov Documentation

Create fee plan agreement

Creates the subscription of a fee plan to a merchant account. Merchants are required to accept the fee plan terms prior to activation.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.write scope.

POST

/accounts/{accountID}/fee-plan-agreements

Ask

curl -X POST "https://api.moov.io/accounts/{accountID}/fee-plan-agreements" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{
  "planID": "string"
}'

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.feePlans.createFeePlanAgreements({
    accountID: "409c6b4b-e622-40c2-9dc4-fb494e555723",
    createFeePlanAgreement: {
      planID: "19801f96-ea27-4610-b4d1-8c6b46f37928",
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\